org.apache.activemq.artemis.selector.strict

## Class StrictParser

- java.lang.Object
- - org.apache.activemq.artemis.selector.strict.StrictParser

- All Implemented Interfaces:
    StrictParserConstants

      public class StrictParser
      extends Object
      implements StrictParserConstants

  JMS Selector Parser generated by JavaCC Do not edit this .java file directly - it is autogenerated from StrictParser.jj

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Token` | `jj_nt` Next token.
    `Token` | `token` Current token.
    `StrictParserTokenManager` | `token_source` Generated Token Manager.

    - ### Fields inherited from interface org.apache.activemq.artemis.selector.strict.StrictParserConstants

      `AND, BETWEEN, BLOCK_COMMENT, DECIMAL_LITERAL, DEFAULT, EOF, ESCAPE, EXPONENT, FALSE, FLOATING_POINT_LITERAL, HEX_LITERAL, ID, IN, IS, LIKE, LINE_COMMENT, NOT, NULL, OCTAL_LITERAL, OR, QUOTED_ID, STRING_LITERAL, tokenImage, TRUE, XPATH, XQUERY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StrictParser(InputStream stream)` Constructor with InputStream.
    `StrictParser(InputStream stream, String encoding)` Constructor with InputStream and supplied encoding
    `StrictParser(Reader stream)` Constructor.
    `StrictParser(StrictParserTokenManager tm)` Constructor with generated Token Manager.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Expression` | `addExpression()`
    `Expression` | `andExpression()`
    `Expression` | `comparisonExpression()`
    `void` | `disable_tracing()` Disable tracing.
    `void` | `enable_tracing()` Enable tracing.
    `Expression` | `equalityExpression()`
    `ParseException` | `generateParseException()` Generate ParseException.
    `Token` | `getNextToken()` Get the next Token.
    `Token` | `getToken(int index)` Get the specific Token.
    `BooleanExpression` | `JmsSelector()`
    `ConstantExpression` | `literal()`
    `Expression` | `multExpr()`
    `Expression` | `orExpression()`
    `Expression` | `primaryExpr()`
    `void` | `ReInit(InputStream stream)` Reinitialise.
    `void` | `ReInit(InputStream stream, String encoding)` Reinitialise.
    `void` | `ReInit(Reader stream)` Reinitialise.
    `void` | `ReInit(StrictParserTokenManager tm)` Reinitialise.
    `String` | `stringLitteral()`
    `Expression` | `unaryExpr()`
    `PropertyExpression` | `variable()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### token_source

          public StrictParserTokenManager token_source

      Generated Token Manager.

    - #### token

          public Token token

      Current token.

    - #### jj_nt

          public Token jj_nt

      Next token.

  - ### Constructor Detail

    - #### StrictParser

          public StrictParser(InputStream stream)

      Constructor with InputStream.

    - #### StrictParser

          public StrictParser(InputStream stream,
                              String encoding)

      Constructor with InputStream and supplied encoding

    - #### StrictParser

          public StrictParser(Reader stream)

      Constructor.

    - #### StrictParser

          public StrictParser(StrictParserTokenManager tm)

      Constructor with generated Token Manager.

  - ### Method Detail

    - #### JmsSelector

          public final BooleanExpression JmsSelector()
                                              throws ParseException

      Throws:
        `ParseException`

    - #### orExpression

          public final Expression orExpression()
                                        throws ParseException

      Throws:
        `ParseException`

    - #### andExpression

          public final Expression andExpression()
                                         throws ParseException

      Throws:
        `ParseException`

    - #### equalityExpression

          public final Expression equalityExpression()
                                              throws ParseException

      Throws:
        `ParseException`

    - #### comparisonExpression

          public final Expression comparisonExpression()
                                                throws ParseException

      Throws:
        `ParseException`

    - #### addExpression

          public final Expression addExpression()
                                         throws ParseException

      Throws:
        `ParseException`

    - #### multExpr

          public final Expression multExpr()
                                    throws ParseException

      Throws:
        `ParseException`

    - #### unaryExpr

          public final Expression unaryExpr()
                                     throws ParseException

      Throws:
        `ParseException`

    - #### primaryExpr

          public final Expression primaryExpr()
                                       throws ParseException

      Throws:
        `ParseException`

    - #### literal

          public final ConstantExpression literal()
                                           throws ParseException

      Throws:
        `ParseException`

    - #### stringLitteral

          public final String stringLitteral()
                                      throws ParseException

      Throws:
        `ParseException`

    - #### variable

          public final PropertyExpression variable()
                                            throws ParseException

      Throws:
        `ParseException`

    - #### ReInit

          public void ReInit(InputStream stream)

      Reinitialise.

    - #### ReInit

          public void ReInit(InputStream stream,
                             String encoding)

      Reinitialise.

    - #### ReInit

          public void ReInit(Reader stream)

      Reinitialise.

    - #### ReInit

          public void ReInit(StrictParserTokenManager tm)

      Reinitialise.

    - #### getNextToken

          public final Token getNextToken()

      Get the next Token.

    - #### getToken

          public final Token getToken(int index)

      Get the specific Token.

    - #### generateParseException

          public ParseException generateParseException()

      Generate ParseException.

    - #### enable_tracing

          public final void enable_tracing()

      Enable tracing.

    - #### disable_tracing

          public final void disable_tracing()

      Disable tracing.

Copyright © 2020 The Apache Software Foundation. All rights reserved.